Name:           ocaml-ounit
Version:        2.0.8
Release:        5
Summary:        OUnit is a unit test framework for OCaml
License:        MIT
URL:            http://ounit.forge.ocamlcore.org/
Source0:        http://forge.ocamlcore.org/frs/download.php/1749/ounit-%{version}.tar.gz

BuildRequires:  ocaml >= 3.10.0 ocaml-findlib-devel ocaml-ocamldoc ocaml-ocamlbuild

%description
OUnit is a unit test framework for OCaml. It allows one to easily create unit-tests for OCaml code.
It is loosely based on HUnit, a unit testing framework for Haskell. It is similar to JUnit, and other
XUnit testing frameworks.

%package        devel
Summary:        Development support for ocaml-ounit
Requires:       %{name} = %{version}-%{release}


%description    devel
Development headers and libraries for ocaml-ounit.

%prep
%autosetup -n ounit-%{version} -p1
sh ./configure --destdir $RPM_BUILD_ROOT


%build
%make_build all
%make_build doc

%check
make test

%install
export OCAMLFIND_DESTDIR=$RPM_BUILD_ROOT%{_libdir}/ocaml
install -d $OCAMLFIND_DESTDIR $OCAMLFIND_DESTDIR/stublibs
make install

rm -rf $RPM_BUILD_ROOT/usr/local/share/doc

%files
%doc LICENSE.txt
%{_libdir}/ocaml/oUnit
%exclude %{_libdir}/ocaml/oUnit/{*.a,*.cmxa,*.mli}

%files devel
%doc LICENSE.txt README.txt _build/src/api-ounit.docdir/*
%{_libdir}/ocaml/oUnit/{*.a,*.cmxa,*.mli}


%changelog
* Tue Feb 25  2020 duyeyu <duyeyu@huawei.com> - 2.0.8-5
- Package init

